#ifndef PIXELDEFENSE_ENTITY_FACTORY_H
#define PIXELDEFENSE_ENTITY_FACTORY_H

#include "components.h"
#include "game_state.h"

ecs_entity_t entityCreateEmpty();

ecs_entity_t entityCreateWorker(const Position position, Game *game);

#endif //PIXELDEFENSE_ENTITY_FACTORY_H
